<?php
/**
 *  ArtistPress Gallery Meta Box
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}


$prefix = 'artistpress_';
$fields = array(
    
    array( // Repeatable & Sortable Text inputs
        'label' => 'Images', // <label>
        'desc'  => 'A description for the field.', // description
        'id'    => $prefix . 'images', // field id and name
        'type'  => 'repeatable', // type of field
        'sanitizer' => array( // array of sanitizers with matching keys to next array
            'featured'  => 'meta_box_santitize_boolean',
            'title'     => 'sanitize_text_field',
            'desc'      => 'wp_kses_data'
        ),
        'repeatable_fields' => array ( // array of fields to be repeated
            array( // Image ID field
                'label' => 'Image', // <label>
                'id'    => 'image', // field id and name
                'type'  => 'image' // type of field
            )
        )
    )
);
/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to
 * var $js bool including javascript or not
 */
$gallery_meta_box = new custom_add_meta_box( 'gallery_content', 'Gallery Images', $fields, 'artistpress-gallery', true );
