<?php
/**
 *  ArtistPress Menus
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

/**
 * Registers the settings pages for the plugin and adds navigation to those pages.
 *
 * @author      LTDI Studios
 * @since       1.0.0
 *
 */

function ltdi_artistpress_dashboard_menus(){
	
	add_menu_page(
		'ArtistPress',
		'ArtistPress',
		'manage_options',
		'artist-press',
		'artistpress_dashboard_function',
		'dashicons-art',
		20
	);
	add_submenu_page(
		'artist-press', 
		'Artists',
		'Artists',
		'manage_options',
		'edit.php?post_type=artist'
	);
	add_submenu_page(
		'artist-press', 
		'Venues',
		'Venues',
		'manage_options',
		'edit.php?post_type=venue'
	);
	add_submenu_page(
		'artist-press', 
		'Shows',
		'Shows',
		'manage_options',
		'edit.php?post_type=show'
	);
	add_submenu_page(
		'artist-press', 
		'Artipress Galleries',
		'Galleries',
		'manage_options',
		'edit.php?post_type=artistpress-gallery'
	);
	add_submenu_page(
		'artist-press', 
		'Settings',
		'Settings',
		'manage_options',
		'artistpress-settings',
		'artistpress_initialize_settings'
	);
	
}
add_action('admin_menu','ltdi_artistpress_dashboard_menus');


/**
 * Filters setting parent menu to make the plugin submenus stay active therefore displayed when editing the ArtistPress Custom Post Types
 *
 * @author      LTDI Studios
 * @since       1.0.0
 *
 */

function artistpress_parent_file( $parent_file ){
 
    /* Get current screen */
    global $current_screen, $self;
 
    if ( in_array( $current_screen->base, array( 'post', 'edit' ) ) && 'show' == $current_screen->post_type ) {
        $parent_file = 'artist-press';
    }
    if ( in_array( $current_screen->base, array( 'post', 'edit' ) ) && 'venue' == $current_screen->post_type ) {
        $parent_file = 'artist-press';
    }
    if ( in_array( $current_screen->base, array( 'post', 'edit' ) ) && 'artist' == $current_screen->post_type ) {
        $parent_file = 'artist-press';
    }
    if ( in_array( $current_screen->base, array( 'post', 'edit' ) ) && 'product' == $current_screen->post_type ) {
        $parent_file = 'artist-press';
    }
    if ( in_array( $current_screen->base, array( 'post', 'edit' ) ) && 'artistpress-gallery' == $current_screen->post_type ) {
        $parent_file = 'artist-press';
    }
 	return $parent_file;
}
add_filter( 'parent_file', 'artistpress_parent_file' );