<?php
/**
 *  ArtistPress Show Meta Box
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}


$prefix = 'artistpress_';
$fields = array(
    
    array( // jQuery UI Date input
        'label' => 'Show Date', // <label>
        'desc'  => 'Enter the date of the show.', // description
        'id'    => $prefix.'show_date', // field id and name
        'type'  => 'date' // type of field
    ),
    array( // Text Input
        'label' => 'Show Time', // <label>
        'desc'  => 'Enter the time the event starts.', // description
        'id'    => $prefix.'show_time', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Post ID select box
        'label' => 'Artist', // <label>
        'desc'  => 'Choose the Show Artist.', // description
        'id'    =>  $prefix.'show_artist', // field id and name
        'type'  => 'post_select', // type of field
        'post_type' => array('artist') // post types to display, options are prefixed with their post type
    ),
    array( // Post ID select box
        'label' => 'Venue *', // <label>
        'desc'  => 'Choose the Show Venue.', // description
        'id'    =>  $prefix.'show_venue', // field id and name
        'type'  => 'post_select', // type of field
        'post_type' => array('venue'), // post types to display, options are prefixed with their post type
    ),
    array( // Select box
        'label' => 'Show Type *', // <label>
        'desc'  => 'Choose the type of show.', // description
        'id'    => $prefix.'show_type', // field id and name
        'type'  => 'select', // type of field
        'options' => array ( // array of options
            'one' => array ( // array key needs to be the same as the option value
                'label' => 'Not Sure', // text displayed as the option
                'value' => 'not-sure' // value stored for the option
            ),
            'two' => array (
                'label' => 'All Ages',
                'value' => 'all-ages'
            ),
            'three' => array (
                'label' => 'All Ages Licensed',
                'value' => 'all-ages-licensed'
            ),
            'four' => array (
                'label' => 'No Minors',
                'value' => 'no-minors'
            )
        )
    ),
    array( // Text Input
        'label' => 'Price', // <label>
        'desc'  => 'If there is an admision price, enter it here.', // description
        'id'    => $prefix.'show_price', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Text Input
        'label' => 'Ticket Phone', // <label>
        'desc'  => 'If tickets are available via phone, enter it here.', // description
        'id'    => $prefix.'ticket_phone', // field id and name
        'type'  => 'tel' // type of field
    ),
    array( // Text Input
        'label' => 'Ticket Website', // <label>
        'desc'  => 'If tickets are available via the web, enter the address here.', // description
        'id'    => $prefix.'ticket_url', // field id and name
        'type'  => 'url' // type of field
    ),
    array( // Textarea
        'label' => 'Additional Information', // <label>
        'desc'  => 'If there is additional information, like supporting acts, additional artists showing, etc.., enter that information here.', // description
        'id'    => $prefix.'show_add_info', // field id and name
        'type'  => 'textarea' // type of field
    ),
    array( // Hidden Input
        'label' => null, // <label>
        'desc'  => '', // description
        'id'    => $prefix.'show_artist_name', // field id and name
        'type'  => 'hidden' // type of field
    ),
    array( // Hidden Input
        'label' => null, // <label>
        'desc'  => '', // description
        'id'    => $prefix.'show_venue_name', // field id and name
        'type'  => 'hidden' // type of field
    ),
);
/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to
 * var $js bool including javascript or not
 */
$gallery_meta_box = new custom_add_meta_box( 'show_details', 'Show Details', $fields, 'show', true );