<?php
/**
 *  ArtistPress Venue Meta Box
 *
 *  @author     LTDI Studios
 *  @package    ArtistPress/views
 *  @version    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$prefix = 'artistpress_';
$fields = array(
    
    array( // Text Input
        'label' => 'Address', // <label>
        'desc'  => 'Enter the street address of the venue.', // description
        'id'    => $prefix.'venue_address', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Text Input
        'label' => 'City', // <label>
        'desc'  => 'Enter the city where the venue is located.', // description
        'id'    => $prefix.'venue_city', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Text Input
        'label' => 'State/Province', // <label>
        'desc'  => 'Enter the state/province where the venue is located.', // description
        'id'    => $prefix.'venue_state', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Text Input
        'label' => 'Zip Code', // <label>
        'desc'  => 'Enter the zip code where the venue is located.', // description
        'id'    => $prefix.'venue_postal_code', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Text Input
        'label' => 'Country', // <label>
        'desc'  => 'Enter the country where the venue is located.', // description
        'id'    => $prefix.'venue_country', // field id and name
        'type'  => 'text' // type of field
    ),
    array( // Text Input
        'label' => 'Coordinates', // <label>
        'desc'  => 'Click button to get latitude & longitude for venue map function.', // description
        'id'    => $prefix.'venue_latlng', // field id and name
        'type'  => 'geocode' // type of field
    ),
    array( // Text Input
        'label' => 'Web Address', // <label>
        'desc'  => 'If the venue has a website enter the address here.', // description
        'id'    => $prefix.'venue_website', // field id and name
        'type'  => 'url' // type of field
    ),
    array( // Text Input
        'label' => 'Telephone', // <label>
        'desc'  => 'If the venue has a telephone number enter it here.', // description
        'id'    => $prefix.'venue_telephone', // field id and name
        'type'  => 'tel' // type of field
    ),
);
/**
 * Instantiate the class with all variables to create a meta box
 * var $id string meta box id
 * var $title string title
 * var $fields array fields
 * var $page string|array post type to add meta box to
 * var $js bool including javascript or not
 */
$gallery_meta_box = new custom_add_meta_box( 'venue_details', 'Venue Details', $fields, 'venue', true );