<?php
/**
* Plugin Name: ArtistPress
* Plugin URI: http://artispress-plugin.com
* Description: ArtistPress provides a easy to use solution for bands, solo musicians and professional artists to convert WordPress into a robust tool to manage a professional online presence.
* Author: Tim Scheman
* Author URI: http;//timscheman.com
* Version: 1.4
* License: GPLv2  //look into this to make sure you have ther right license listed.
*
*/

/**
*   
*   Exit if accessed directly
*
*/	
if( !defined('ABSPATH')){
	exit;
}


/* 
 * ==================================================
 *
 * ArtistPress Admin Views
 *
 * ================================================== 
 */

/**
 * Includes the ArtistPress includes.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/includes/artist-press-includes.php');

/**
 * Includes the ArtistPress settings.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/utilities/class-upgrader.php');

/**
 * Includes the ArtistPress settings.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-settings.php');

/**
 * Includes the ArtistPress dashboard.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-dashboard.php');

/**
 * Includes the ArtistPress custom post types.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-post-types.php');

/**
 * Includes the ArtistPress menu structure.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-menus.php');

/**
 * Includes the ArtistPress meta boxes.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/includes/metaboxes/meta_box.php');

/**
 * Includes the ArtistPress Gallery meta fields.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-gallery-fields.php');

/**
 * Includes the ArtistPress Artist meta fields.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-artist-fields.php');

/**
 * Includes the ArtistPress Venue meta fields.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-venue-fields.php');

/**
 * Includes the ArtistPress Show meta fields.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-show-fields.php');

/**
 * Includes the file that modifies the columns on the ArtistPress admin pages.
 */
require_once (plugin_dir_path(__FILE__) . 'admin/views/artist-press-columns.php');


/* 
 * ==================================================
 *
 * ArtistPress Admin Scripts
 *
 * ================================================== 
 */

/**
 * Includes the scripts and styles for the admin pages
 */
require_once (plugin_dir_path(__FILE__) . 'admin/includes/artist-press-admin-scripts.php');


/* 
 * ==================================================
 *
 * ArtistPress Public Views
 *
 * ================================================== 
 */

/**
 * Includes the functions for the ArtistPress artists.
 */
require_once (plugin_dir_path(__FILE__) . 'public/includes/artist-press-artist-functions.php');

/**
 * Includes the functions for the ArtistPress galleries.
 */
require_once (plugin_dir_path(__FILE__) . 'public/includes/artist-press-gallery-functions.php');

/**
 * Includes the functions for the ArtistPress shows.
 */
require_once (plugin_dir_path(__FILE__) . 'public/includes/artist-press-events-functions.php');

/**
 * Includes the ArtistPress templates.
 */
require_once (plugin_dir_path(__FILE__) . 'public/views/artist-press-templates.php');

/**
 * Includes the ArtistPress templates.
 */
require_once (plugin_dir_path(__FILE__) . 'public/views/artist-press-templates.php');

/**
 * Includes the ArtistPress shortcodes.
 */
require_once (plugin_dir_path(__FILE__) . 'public/views/artist-press-shortcodes.php');


/**
 * Enqueues the public scripts and styles.
 *
 * @since 1.0.0
 *
 */
function artistpress_register_public_scripts() {

    /**
 	 * Includes the scripts and styles for the galleries
 	 */
    require_once (plugin_dir_path(__FILE__) . 'public/includes/artist-press-artist-scripts.php');

	/**
 	 * Includes the scripts and styles for the galleries
 	 */
    require_once (plugin_dir_path(__FILE__) . 'public/includes/artist-press-gallery-scripts.php');
    
    /**
 	 * Includes the scripts and styles for the shows
 	 */
    require_once (plugin_dir_path(__FILE__) . 'public/includes/artist-press-events-scripts.php');

}
add_action( 'wp_enqueue_scripts', 'artistpress_register_public_scripts' );


/**
 * ArtistPress Activation
 *
 * @since 1.0.0
 *
 */
register_deactivation_hook( __FILE__, 'flush_rewrite_rules' );
register_activation_hook( __FILE__, 'artistPress_flush_rewrites' );

function artistPress_flush_rewrites() {
	artistpress_create_post_types();
	flush_rewrite_rules();
}

/**
 * Begins Execution of ArtistPress Upgrader
 *
 * @since 1.2.2
 *
 */
function run_artistpress_upgrader(){
	$upgrade = new ArtistPress_Utilities\Upgrader;
	$upgrade->run_upgrade();
}
run_artistpress_upgrader();